---
title: String.prototype.anchor()
slug: Web/JavaScript/Reference/Global_Objects/String/anchor
tags:
  - Deprecated
  - HTML wrapper methods
  - JavaScript
  - Method
  - Prototype
  - Reference
  - String
---
<div>{{JSRef}} {{deprecated_header}}</div>

<p>The <strong><code>anchor()</code></strong> method creates a string beginning with an <code>&lt;a name="..."&gt;</code> start tag, then some text, and then an <code>&lt;/a&gt;</code> end tag.</p>

<div class="notecard warning">
<p>Don't use this method. Use <a href="/en-US/docs/Web/API/Document_Object_Model">DOM APIs</a> instead. Also, the HTML specification no longer allows the {{HTMLElement("a")}} element to have a <code>name</code> attribute, so this method doesn't even create valid markup.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>str</var>.anchor(<var>name</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>name</var></code></dt>
 <dd>A string representing a <code>name</code> value to put into the generated <code>&lt;a name="..."&gt;</code> start tag.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A string beginning with an <code>&lt;a name="<var>name</var>"&gt;</code> start tag, then the text <var>str</var>, and then an <code>&lt;/a&gt;</code> end tag.</p>

<h2 id="Description">Description</h2>

<p>Don't use this method. Use <a href="/en-US/docs/Web/API/Document_Object_Model">DOM APIs</a> instead. Also, the HTML specification no longer allows the {{HTMLElement("a")}} element to have a <code>name</code> attribute, so this method doesn't even create valid markup.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_anchor">Using anchor()</h3>

<pre class="brush: js notranslate">var myString = 'Table of Contents';

document.body.innerHTML = myString.anchor('contents_anchor');
</pre>

<p>will output the following HTML:</p>

<pre class="brush: html notranslate">&lt;a name="contents_anchor"&gt;Table of Contents&lt;/a&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-string.prototype.anchor', 'String.prototype.anchor')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.String.anchor")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("String.prototype.link()")}}</li>
</ul>
